Subject: Re: bug#15262: 24.3.50; desktop does not save buffer-display-time

From: Stefan Kangas <[email-masked]>
Date: Wed, 21 Aug 2019 23:10:55 +0200

Juri Linkov <[email-masked]> writes:

> > commit cd726ef68ece4fff6772bd08c0051c294e925505
> > Author: Sam Steingold <[email-masked]>
> > Date:   Sat Oct 15 23:14:48 2016 -0400
> >
> >     Save and restore buffer-display-time
> >
> >     * desktop.el (desktop-locals-to-save): Add `buffer-display-time'
> >     (desktop-read): Set `desktop-file-modtime' before loading the desktop file
> >     (desktop-create-buffer): Adjust `buffer-display-time' for the
> >     downtime
>
> I used to show buffer-display-time in the customized buffer list.
> After that change buffer-display-time displayed weird times,
> so I had to replace buffer-display-time with visited-file-modtime
> instead.  But I think this issue has a minuscule importance,
> so unless somebody wants to add a new attribute inactive-time,
> it was ok to close this.

Thanks for that.  What does "customized buffer list" mean here more
exactly?  And does this suggest that there is a bug in the above
commit?

Best regards,
Stefan Kangas